> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://reference.flatfile.com/api-reference/runbooks/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server. # Get a runbook GET https://api.x.flatfile.com/v1/runbooks/{runbookId} Returns a runbook Reference: https://reference.flatfile.com/api-reference/runbooks/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `runbookId` (string, required) — Runbook ID ## Response ### 200 - `data` (Runbook, required) — Runbook ## Types ### Runbook Runbook - `id` (string, required) — The ID of the Runbook. - `accountId` (string, required) — Account ID - `appId` (string, required) — App ID - `environmentId` (string, required) — Environment ID - `spaceId` (string, required) — Space ID - `name` (string, required) — The name of the Runbook. - `config` (RunbookConfig, required) — The configuration of the Runbook. - `status` (enum, required) — The status of the Runbook. - Allowed values: `CREATED`, `RECORDING`, `EXECUTING`, `WAITING`, `COMPLETED`, `FAILED`, `CANCELED` - `type` (enum, required) — The type of the Runbook. - Allowed values: `SHEET_TOOL`, `PREPROCESSING` - `createdBy` (string, required) — The entity which created the Runbook. - `createdAt` (datetime, required) — Date the sheet was created - `updatedAt` (datetime, required) — Date the sheet was last updated ### RunbookConfig ### SheetTransformConfig - `sourceSheetIds` (list of string, required) — The ids of the sourceSheets to transform - `destinationSheetIds` (list of string, required) — The id of the destinationSheet to transform ## Examples **Response** ```json { "data": { "id": "us_rb_YOUR_ID", "accountId": "us_acc_YOUR_ID", "appId": "us_app_YOUR_ID", "environmentId": "us_env_YOUR_ID", "spaceId": "us_sp_YOUR_ID", "name": "Runbook Name", "config": { "sourceSheetIds": [ "us_sh_YOUR_ID" ], "destinationSheetIds": [ "us_sh_YOUR_ID" ] }, "status": "CREATED", "type": "PREPROCESSING", "createdBy": "us_usr_YOUR_ID", "createdAt": "2024-12-05T18:00:00Z", "updatedAt": "2024-12-05T18:00:00Z" } } ``` **SDK Code** ```typescript Example0 import { FlatfileClient } from "@flatfile/api"; const client = new FlatfileClient({ token: "YOUR_TOKEN" }); await client.runbooks.get("us_rb_YOUR_ID"); ``` ```python Example0 import requests url = "https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID" headers = { "X-Disable-Hooks": "true", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```go Example0 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Disable-Hooks", "true") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example0 require 'uri' require 'net/http' url = URI("https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Disable-Hooks"] = 'true' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID") .header("X-Disable-Hooks", "true") .header("Authorization", "Bearer ") .asString(); ``` ```php Example0 request('GET', 'https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID', [ 'headers' => [ 'Authorization' => 'Bearer ', 'X-Disable-Hooks' => 'true', ], ]); echo $response->getBody(); ``` ```csharp Example0 using RestSharp; var client = new RestClient("https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID"); var request = new RestRequest(Method.GET); request.AddHeader("X-Disable-Hooks", "true"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example0 import Foundation let headers = [ "X-Disable-Hooks": "true", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/runbooks/us_rb_YOUR_ID")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```